OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.DebugMarker

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTDebugMarker :: MonadIO m => m Bool
- gl_EXT_debug_marker :: Bool
- glInsertEventMarkerEXT :: MonadIO m => GLsizei -> Ptr GLchar -> m ()
- glPopGroupMarkerEXT :: MonadIO m => m ()
- glPushGroupMarkerEXT :: MonadIO m => GLsizei -> Ptr GLchar -> m ()

# Extension Support

glGetEXTDebugMarker :: MonadIO m => m Bool

Is the EXT_debug_marker extension supported?

gl_EXT_debug_marker :: Bool

Is the EXT_debug_marker extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDebugMarker` in those cases instead.

# Functions

glInsertEventMarkerEXT

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr GLchar | `marker`.
-> m () |

glPopGroupMarkerEXT :: MonadIO m => m ()

glPushGroupMarkerEXT

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr GLchar | `marker`.
-> m () |